Skip to content

TikTok API - 评论回复 (V1)

prod-global
GET
/api/tiktok/get-post-sub-comment/v1

通过评论ID获取特定TikTok评论下的回复列表。 该接口返回每条回复的详细信息,包括回复ID、用户信息、 文本内容、点赞数和发布时间。

典型应用场景:

  • 了解详细的用户互动和线程讨论。
  • 识别评论区中的影响者或活跃参与者。
  • 追踪评论线程中的情感传播。

请求参数

参数名位置类型必填说明
tokenquerystring用于API访问的安全令牌。
awemeIdquerystringTikTok帖子的唯一ID。
commentIdquerystring要获取回复的评论的唯一ID。
cursorquerystring分页游标。从 '0' 开始。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/tiktok/get-post-sub-comment/v1?token=YOUR_API_KEY&awemeId=VALUE&commentId=VALUE"
text
我想使用 Just One API 提供的“评论回复 (V1)”接口。
接口地址: https://api.justoneapi.com/api/tiktok/get-post-sub-comment/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/tiktok-apis/comment-replies-v1-zh.json

请求参数说明:
- token (query): 用于API访问的安全令牌。 (必填)
- awemeId (query): TikTok帖子的唯一ID。 (必填)
- commentId (query): 要获取回复的评论的唯一ID。 (必填)
- cursor (query): 分页游标。从 '0' 开始。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/tiktok/get-post-sub-comment/v1?token=YOUR_API_KEY&awemeId=VALUE&commentId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/tiktok/get-post-sub-comment/v1?token=YOUR_API_KEY&awemeId=VALUE&commentId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/tiktok/get-post-sub-comment/v1?token=YOUR_API_KEY&awemeId=VALUE&commentId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/tiktok/get-post-sub-comment/v1?token=YOUR_API_KEY&awemeId=VALUE&commentId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/tiktok/get-post-sub-comment/v1?token=YOUR_API_KEY&awemeId=VALUE&commentId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "comments": [
      {
        "aweme_id": "7304809083817774382",
        "cid": "7304924071095059206",
        "collect_stat": 0,
        "comment_language": "en",
        "comment_post_item_ids": null,
        "create_time": 1700810198,
        "digg_count": 90,
        "fold_status": 0,
        "image_list": null,
        "is_author_digged": false,
        "is_comment_translatable": true,
        "is_high_purchase_intent": false,
        "label_list": null,
        "no_show": false,
        "reply_comment": null,
        "reply_id": "7304877760886588191",
        "reply_to_reply_id": "0",
        "share_info": {
          "acl": {
            "code": 0,
            "extra": "{}"
          },
          "desc": "the gr0_0viest’s comment: what does this have to do with Swift? I ask bc she's so relevant and I'm s...",
          "title": "WHAT'S HIS NAME??? 😭   I can't stop crocheting unexpected things & like I really should have made at...",
          "url": "https://www.tiktok.com/@demlia/video/7304809083817774382?_d=edi1489ika8357&_r=1&comment_author_id=69..."
        },
        "status": 1,
        "stick_position": 0,
        "text": "what does this have to do with Swift? I ask bc she's so relevant and I'm so out of touch but loved m...",
        "text_extra": [],
        "thread_has_more": false,
        "thread_id": 1,
        "trans_btn_style": 0,
        "user": {
          "accept_private_policy": false,
          "account_labels": null,
          "account_region": "",
          "ad_cover_url": null,
          "advance_feature_item_order": null,
          "advanced_feature_info": null,
          "authority_status": 0,
          "avatar_thumb": {
            "height": 720,
            "uri": "tos-maliva-avt-0068/7b02284c40400994703b71034aaa3bdd",
            "url_list": [
              "https://p19-common-sign.tiktokcdn-us.com/tos-maliva-avt-0068/7b02284c40400994703b71034aaa3bdd~tplv-t..."
            ],
            "url_prefix": null,
            "width": 720
          },
          "avatar_uri": "tos-maliva-avt-0068/7b02284c40400994703b71034aaa3bdd",
          "aweme_count": 0,
          "bind_phone": "",
          "bold_fields": null,
          "can_message_follow_status_list": null,
          "can_set_geofencing": null,
          "cha_list": null,
          "comment_filter_status": 0,
          "comment_setting": 0,
          "commerce_user_level": 0,
          "cover_url": [],
          "create_time": 0,
          "custom_verify": "",
          "cv_level": "",
          "download_prompt_ts": 0,
          "download_setting": 3,
          "duet_setting": 3,
          "enabled_filter_all_comments": false,
          "enterprise_verify_reason": "",
          "events": null,
          "fake_data_info": {},
          "favoriting_count": 0,
          "follow_status": 0,
          "follower_count": 0,
          "follower_status": 0,
          "followers_detail": null,
          "following_count": 0,
          "friends_status": 0,
          "geofencing": null,
          "has_email": false,
          "has_insights": false,
          "has_orders": false,
          "hide_search": false,
          "homepage_bottom_toast": null,
          "is_ad_fake": false,
          "is_block": false,
          "is_discipline_member": false,
          "is_mute": 0,
          "is_mute_lives": 0,
          "is_mute_non_story_post": 0,
          "is_mute_story": 0,
          "is_phone_binded": false,
          "is_star": false,
          "item_list": null,
          "language": "en",
          "live_agreement": 0,
          "live_commerce": false,
          "live_verify": 0,
          "matched_friend_available": false,
          "mention_status": 1,
          "mutual_relation_avatars": null,
          "need_points": null,
          "need_recommend": 0,
          "nickname": "the gr0_0viest",
          "platform_sync_info": null,
          "predicted_age_group": "-1",
          "prevent_download": false,
          "react_setting": 3,
          "region": "CA",
          "relative_users": null,
          "reply_with_video_flag": 4,
          "room_data": "",
          "search_highlight": null,
          "sec_uid": "MS4wLjABAAAAUIDxtyu1ZA1g2QVsOFL0unAZtwuYwUO6ZHaTgXk48ilF7dmmqL2PPVazUqxKk7X4",
          "secret": 1,
          "shield_comment_notice": 0,
          "shield_digg_notice": 0,
          "shield_edit_field_info": null,
          "shield_follow_notice": 0,
          "short_id": "0",
          "show_image_bubble": false,
          "signature": "",
          "special_account": {
            "special_account_list": null
          },
          "special_lock": 1,
          "status": 1,
          "stitch_setting": 3,
          "total_favorited": 0,
          "type_label": null,
          "uid": "6925718539328766981",
          "unique_id": "gr0_0vy",
          "unique_id_modify_time": 1773065648,
          "user_canceled": false,
          "user_mode": 1,
          "user_period": 0,
          "user_profile_guide": null,
          "user_rate": 1,
          "user_spark_info": {},
          "user_tags": null,
          "verification_type": 0,
          "verify_info": "",
          "video_icon": {
            "height": 720,
            "uri": "",
            "url_list": [],
            "url_prefix": null,
            "width": 720
          },
          "white_cover_url": null,
          "with_commerce_entry": false,
          "with_shop_entry": false
        },
        "user_buried": false,
        "user_digged": 0
      }
    ],
    "cursor": 10,
    "extra": {
      "fatal_item_ids": [],
      "logid": "2026030914140885E6646CE3B3849DCB48",
      "now": 1773065648000
    },
    "has_more": 0,
    "log_pb": {
      "impr_id": "2026030914140885E6646CE3B3849DCB48"
    },
    "status_code": 0,
    "status_msg": "",
    "total": 10
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。